set terminal postscript eps color "Times-Roman" 12
set output 'all.eps'
set title "Effect of Req. Suppression, Local Recovery, On-Demand Caching & Push Model"
set xlabel "Grid Size (NxN)"
set ylabel "Completion Time (in ms)
plot \
'all.txt' using 1:2 title "REQ Suppression ON" with linespoints, \
'local_recovery.txt' using 1:3 title "Local Recovery ON" with linespoints, \
'on_demand.txt' using 1:3 title "On-demand Caching ON" with linespoints, \
'all.txt' using 1:3 title "REQ Suppression + Local Recovery + On-demand caching" with linespoints
pause -1 "Hit Enter to continue"
