set terminal postscript eps color "Times-Roman" 12
set output 'local_recovery.eps'

set title "Effect of Local Recovery"
set xlabel "Grid Size (NxN)"
set ylabel "Ave. Completion Time (in ms) per node"
plot \
'local_recovery.txt' using 1:2 title "Local Recovery OFF" with linespoints, \
'local_recovery.txt' using 1:3 title "Local Recovery ON" with linespoints, \
'local_recovery_homo.txt' using 1:2 title "Local Recovery ON (homogeneous)" with linespoints 
pause -1 "Hit Enter to continue"
