set terminal postscript eps color "Times-Roman" 12
set output 'on_demand.eps'

set title "Effect of On-Demand Caching"
set xlabel "Grid Size (NxN)"
set ylabel "Completion Time (in ms)"
plot 'on_demand.txt' using 1:2 title "On-Demand OFF" with linespoints, 'on_demand.txt' using 1:3 title "On-Demand ON" with linespoints
pause -1 "Hit Enter to continue"
