set terminal postscript eps color "Times-Roman" 12
set output 'push_more.eps'

set title "Effect of Push Model"
set xlabel "Grid Size (NxN)"
set ylabel "Completion Time (in ms)"
plot \
'push_more.txt' using 1:2 title "Push Model OFF" with linespoints, \
'push_more.txt' using 1:3 title "Push Model ON" with linespoints

# Another one for REQ
set output 'push_more_req.eps'
set ylabel "Ave # of REQ sent per node"

plot \
'push_more.txt' using 1:4 title "Push Model OFF" with linespoints, \
'push_more.txt' using 1:5 title "Push Model ON" with linespoints

pause -1 "Hit Enter to continue"
