set terminal postscript eps color "Times-Roman" 12
set output 'req_suppression.eps'

set title "Effect of REQ Suppression"
set xlabel "Grid Size (NxN)"
set ylabel "Ave # of REQ sent per node"

plot 'req_suppression.txt' using 1:2 title "Suppression OFF" with linespoints, 'req_suppression.txt' using 1:3 title "Suppression ON" with linespoints
pause -1 "Hit Enter to continue"
