// $Id: object.h,v 1.1 2005/05/26 22:36:10 weesan Exp $

#ifndef OBJECT_H
#define OBJECT_H

#include <iostream>

using namespace std;

class Object {
    friend ostream &operator<<(ostream &os, const Object &o);

private:
    const char *pzcName;

public:
    Object(const char *pzcName) :
	pzcName(pzcName) {
    }
    virtual ~Object(void) {
    }
    const char *name(void) const {
	return (pzcName);
    }
    virtual void print(ostream &os) {
	os << name();
    }
};

inline ostream &operator<<(ostream &os, Object &o) {
    o.print(os);
    return (os);
}

#endif // OBJECT_H
