// $Id: queue.cc,v 1.1 2005/05/26 22:36:10 weesan Exp $

#include "queue.h"
#include "packet.h"

DEBUG_REGISTER(QueueDropTail);

bool Queue::add(Packet *pcPacket) {
    pcPacket->destroy();
    return (true);
}

bool QueueDropTail::add(Packet *pcPacket) {
    if (size() < maxLen()) {
	push_back(pcPacket);
	return (true);
    } else {
	DEBUG("Max queue len (%d) exceeded, drop packet %d",
	      maxLen(), pcPacket->id());
	pcPacket->destroy();
	return (false);
    }
}

