// $Id: simulation.cc,v 1.2 2005/06/02 03:45:17 weesan Exp $

#include "simulation.h"

DEBUG_REGISTER(Simulation);

// Static variable
priority_queue<Schedule> Simulation::cSchedule;
time_t Simulation::tTotalTime;
time_t Simulation::tNow;

// Class

void Simulation::run(void) {
    while (!cSchedule.empty()) {
	const Schedule &s = cSchedule.top();
	schedule_action_t tAction = s.action();
	now(s.time());
	DEBUG("===> %dms", s.time());
	tAction(s.object(),
		s.param1(),
		s.param2());
	cSchedule.pop();
    }
}
