// $Id: wireless_link.h,v 1.2 2005/06/11 02:38:17 weesan Exp $

#ifndef WIRELESS_LINK_H
#define WIRELESS_LINK_H

#include "link.h"
#include "node.h"
#include "debug.h"

class WirelessLink : public Link {
    DEBUG_INIT();

public:
    WirelessLink(Node *pcSrcNode, Node *pcDstNode,
		 unsigned int uiBandwidth, int iDelay = 0) :
	Link(pcSrcNode, pcDstNode, uiBandwidth, iDelay) {
    }
    virtual bool rx(Packet *pcPacket, Node *pcNode);
};

#endif // WIRELESS_LINK_H
